Bitcoin Forum
December 02, 2016, 10:30:22 PM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Downgrade to SDK 2.1?  (Read 3342 times)
iopq
Hero Member
*****
Offline Offline

Activity: 644


View Profile
June 25, 2011, 12:38:08 PM
 #1

If I'm using a stock ATI 5750 with SDK 2.4 is it worth downgrading? I'm getting 132 Mhash/sec with m0mchil's miner, so I don't know if it's worth worrying about it or even if I get a better hashrate

also, where would I even get older versions?

Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1480717822
Hero Member
*
Offline Offline

Posts: 1480717822

View Profile Personal Message (Offline)

Ignore
1480717822
Reply with quote  #2

1480717822
Report to moderator
1480717822
Hero Member
*
Offline Offline

Posts: 1480717822

View Profile Personal Message (Offline)

Ignore
1480717822
Reply with quote  #2

1480717822
Report to moderator
1480717822
Hero Member
*
Offline Offline

Posts: 1480717822

View Profile Personal Message (Offline)

Ignore
1480717822
Reply with quote  #2

1480717822
Report to moderator
iopq
Hero Member
*****
Offline Offline

Activity: 644


View Profile
June 25, 2011, 01:12:44 PM
 #2

found the older version, downgraded and my performance did go up 4-6 mhash/sec!

dinker
Member
**
Offline Offline

Activity: 102



View Profile
June 27, 2011, 07:11:45 PM
 #3

so 3-5% that's not too shabby!

Help Me Help You Donations:
14kP6tNtrz3woESs9nEE5aDB81QTybGyyZ
FreeJAC
Member
**
Offline Offline

Activity: 112


View Profile
June 29, 2011, 12:44:27 AM
 #4

I have tried a couple of times to downgrade this last time with a 5830 and both times I get no OpenCL device available. (not exact error)

I installed the latest 5830 driver, unchecking SDK 2.4 so that it doesn't install and then install 2.1.

Is the trick to use an older driver as well?

Donate here.... 18NiDLDA3qRxkEPN36xrzsdSgvEkbDKgNr
FreeJAC
Member
**
Offline Offline

Activity: 112


View Profile
June 29, 2011, 12:48:41 AM
 #5

Found my answer here, can't use GUI. http://forum.bitcoin.org/index.php?topic=22845.0


Donate here.... 18NiDLDA3qRxkEPN36xrzsdSgvEkbDKgNr
rograz
Hero Member
*****
Offline Offline

Activity: 575


View Profile
July 01, 2011, 10:38:50 AM
 #6

I found away around the "no OpenCL device" problem by doing a full catalyst install first(including sdk 2.4) then running the uninstall manager and removing SDK 2.4, after that just install 2.1 without doing any reboots or anything and it's worked on all my rigs.
CNMOH
Jr. Member
*
Offline Offline

Activity: 56



View Profile
July 01, 2011, 04:01:58 PM
 #7

I've never seen any performance difference when using 2.1 instead of 2.4.

hchc
Full Member
***
Offline Offline

Activity: 127


View Profile
July 01, 2011, 04:25:13 PM
 #8

I just downgrade to 2.1 and went from 306 to 311 at 970/300 5830. Pretty happy about it.
joulesbeef
Sr. Member
****
Offline Offline

Activity: 476


moOo


View Profile
July 06, 2011, 12:52:56 AM
 #9

I just downgrade to 2.1 and went from 306 to 311 at 970/300 5830. Pretty happy about it.

poclbm? or phatk?

what cat driver? 10.4 or later

mooo for rent
n4l3hp
Full Member
***
Offline Offline

Activity: 173


View Profile
July 07, 2011, 10:49:25 AM
 #10

4000 and 5000 series = SDK 2.1 and poclbm

5000 and 6000 series = SDK 2.4 and phatk

CAT 10.4, 10.11, 11.4, 11.6 = less than 0.5MH difference in performance
iopq
Hero Member
*****
Offline Offline

Activity: 644


View Profile
July 12, 2011, 12:48:21 AM
 #11

for future reference it's here:
http://developer.amd.com/sdks/AMDAPPSDK/downloads/pages/AMDAPPSDKDownloadArchive.aspx

ffwd
Newbie
*
Offline Offline

Activity: 17


View Profile WWW
July 15, 2011, 09:23:59 PM
 #12

with overclocked 5550 im getting ~64M h/s on both 2.4 and 2.1 with latest poclbm
the difference is very very minor (within 0.2 Mh/s).

Perhaps 2.1 more beneficial with HD 4k range cards, but i see no reason to use it with HD 5k-6k

tip jar: 1Kbfc9qaMbrG1WWrr8WZG2xSsAB7QqV8jp

80 Mhash/s on Radeon 5550 (550 -> 880 o/c on air. I <3 Sapphire)
JWU42
Legendary
*
Offline Offline

Activity: 1484


View Profile
July 22, 2011, 09:05:35 PM
 #13

2.1 is best with 57xx, 58xx, 5970 cards.

PhatK came out to try and improve 2.4 performance with these higher performance 5xxx series cards.

My linux boxen with 5770, 5850, and 5970 run 4-5% higher with 2.1 versus 2.4

GPG PubKey | THREEMA | OTC | HeatWare | 1JWU42QLGFESoQCC4iPzUDTRiC9nx5bi95
Meatball
Sr. Member
****
Offline Offline

Activity: 322



View Profile
July 23, 2011, 02:33:23 AM
 #14

Same here with all my testing on 5770's, 5830's & 5850's.  SDK 2.1 gives me approximately 4-6% faster hash rates than anything newer.  Have tried 11.5, 11.6 & 11.7 drivers and both Win 7 x32 & x64 with the same result.

I'm using Poclbm through guiminer for my mining.
phelix
Legendary
*
Offline Offline

Activity: 1680


nmc:id/phelix


View Profile
July 27, 2011, 08:03:07 AM
 #15

Same here with all my testing on 5770's, 5830's & 5850's.  SDK 2.1 gives me approximately 4-6% faster hash rates than anything newer.  Have tried 11.5, 11.6 & 11.7 drivers and both Win 7 x32 & x64 with the same result.

I'm using Poclbm through guiminer for my mining.

what about the new modified phatk? that should even it out.

blockchained.com ■ bitcointalk top posts
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!